[X2Go-Commits] [buildscripts] 01/02: bin/sbuild-deb-package: also fetch the other upstream/* branches and ignore such failures.

git-admin at x2go.org git-admin at x2go.org
Sat Jun 30 23:44:29 CEST 2018


This is an automated email from the git hooks/post-receive script.

x2go pushed a commit to branch master
in repository buildscripts.

commit 234ce9d916f0892bacdd0503cbc2f732ed1d0d88
Author: Mihai Moldovan <ionic at ionic.de>
Date:   Sat Jun 30 23:39:43 2018 +0200

    bin/sbuild-deb-package: also fetch the other upstream/* branches and ignore such failures.
---
 bin/sbuild-deb-package | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/bin/sbuild-deb-package b/bin/sbuild-deb-package
index f976e8a..42d0552 100755
--- a/bin/sbuild-deb-package
+++ b/bin/sbuild-deb-package
@@ -178,6 +178,7 @@ prepare_workspace() {
 			git fetch origin "${CHECKOUT}"
 			git reset --hard "origin/${CHECKOUT}"
 			git fetch origin upstream:upstream || true
+			git fetch origin 'upstream/*:upstream/*' || true
 			git fetch origin pristine-tar:pristine-tar || true
 			# and again, get the ${CHECKOUT} refspec in pure state
 			git reset --hard
@@ -193,6 +194,7 @@ prepare_workspace() {
 			git fetch origin "${CHECKOUT}"
 			git checkout --force "${CHECKOUT}" || git checkout --force -b "${CHECKOUT}"
 			git fetch origin upstream:upstream || true
+			git fetch origin 'upstream/*:upstream/*' || true
 			git fetch origin pristine-tar:pristine-tar || true
 			git clean -df
 		} || {

--
Alioth's /home/x2go-admin/maintenancescripts/git/hooks/post-receive-email on /srv/git/code.x2go.org/buildscripts.git


More information about the x2go-commits mailing list